# Installation
> `npm install --save @types/ember__destroyable`

# Summary
This package contains type definitions for @ember/destroyable (https://api.emberjs.com/ember/3.22/modules/@ember%2Fdestroyable).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/ember__destroyable/v3.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/ember__destroyable/v3/index.d.ts)
````ts
export function associateDestroyableChild<T extends object>(parent: object, child: T): T;

export function isDestroying(destroyable: object): boolean;

export function isDestroyed(destroyable: object): boolean;

export function destroy(destroyable: object): void;

export function assertDestroyablesDestroyed(): void;

export function enableDestroyableTracking(): void;

export function registerDestructor<T extends object>(
    destroyable: T,
    destructor: (destroyable: T) => void,
): (destroyable: T) => void;

export function unregisterDestructor<T extends object>(destroyable: T, destructor: (destroyable: T) => void): void;

````

### Additional Details
 * Last updated: Wed, 18 Oct 2023 01:17:34 GMT
 * Dependencies: none

# Credits
These definitions were written by [Mike North](https://github.com/mike-north), [Chris Krycho](https://github.com/chriskrycho), [Krystan HuffMenne](https://github.com/gitKrystan), and [James C. Davis](https://github.com/jamescdavis).
